summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorBen Laurie <ben@openssl.org>2010-09-05 16:35:10 +0000
committerBen Laurie <ben@openssl.org>2010-09-05 16:35:10 +0000
commitd9a268b9f903588e4d89e18bea76107ce78109c0 (patch)
tree67a7beffec27f6e1b91a3ba44e1217c5e9d1954c /test
parent5df2a2497a3e1ad7d5a386bbe34d3be9eb3a0ba3 (diff)
NPN tests.
Diffstat (limited to 'test')
-rw-r--r--test/testssl11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/testssl b/test/testssl
index f9d7c5d65f..ad32bccdca 100644
--- a/test/testssl
+++ b/test/testssl
@@ -148,4 +148,15 @@ $ssltest -tls1 -cipher PSK -psk abc123 $extra || exit 1
echo test tls1 with PSK via BIO pair
$ssltest -bio_pair -tls1 -cipher PSK -psk abc123 $extra || exit 1
+#############################################################################
+# Next Protocol Negotiation Tests
+
+$ssltest -bio_pair -tls1 -npn_client || exit 1
+$ssltest -bio_pair -tls1 -npn_server || exit 1
+$ssltest -bio_pair -tls1 -npn_server_reject || exit 1
+$ssltest -bio_pair -tls1 -npn_client -npn_server_reject || exit 1
+$ssltest -bio_pair -tls1 -npn_client -npn_server || exit 1
+$ssltest -bio_pair -tls1 -npn_client -npn_server -num 2 || exit 1
+$ssltest -bio_pair -tls1 -npn_client -npn_server -num 2 -reuse || exit 1
+
exit 0